
package cluedo.info;


/**
 * Instances of CardInfos contain information about a single cluedo card.
 *
 * @author  PI4
 * @version $Id: CardInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: CardInfo.java,v 1.2 2001/05/03 09:02:49 gk Exp $
 * @see     cluedo.CluedoPDU
 */
public class CardInfo extends CluedoInfo
{
    // Constante

    /** If {@link #type type} equals ROOM this is a room card*/
    public static final int ROOM= 0;
    /** If {@link #type type} equals PERSON this is a person card */
    public static final int PERSON= 1;
    /** If {@link #type type} equals ITEM this is an item card */
    public static final int ITEM= 2;

    public static final int BARONIN_VON_PORZ=0;
    public static final int FRAEULEIN_GLORIA=1;
    public static final int FRAU_WEISS=2;
    public static final int OBERST_VON_GATOW=3;
    public static final int PROFESSOR_BLOOM=4;
    public static final int REVEREND_GRUEN=5;
    public static final int ARBEITSZIMMER=0;
    public static final int BIBLIOTHEK=1;
    public static final int BILLARDZIMMER=2;
    public static final int HALLE=3;
    public static final int KUECHE=4;
    public static final int MUSIKZIMMER=5;
    public static final int SALON=6;
    public static final int SPEISEZIMMER=7;
    public static final int WINTERGARTEN=8;
    public static final int DOLCH=0;
    public static final int HEIZUNGSROHR=1;
    public static final int LEUCHTER=2;
    public static final int PISTOLE=3;
    public static final int ROHRZANGE=4;
    public static final int SEIL=5;

    // Attribute

    /** owner of the card */
    public int       ownerId;

    /** this attribute can be either ROOM, PERSON, or ITEM */
    public int       type;

    /**
     * this attribute states the item of the card. E.g. item can be
     * kitchen, Professor Green, gun, etc.
     */
    public int       item;

    public CardInfo(int ownerId, int type, int item)
    {
	this.ownerId= ownerId;
	this.type= type;
	this.item= item;
    }
}
