
package cluedo.info;


/**
 * Instances of this class are transmitted by the server to all team mates
 * in order to indicate whether the director of a session has accepted or
 * rejected the join request of a player. The session director can also indicate
 * that a team member should be removed from the session or that he wants to
 * invite another player.
 *
 * @author  PI4
 * @version $Id: PlayerNotifyInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: PlayerNotifyInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     SessionJoinRequestInfo
 * @see     SessionJoinInfo
 */
public class PlayerNotifyInfo extends CluedoInfo
{
    /** Id of the accpeted/rejected/removed player. */
    public int         playerId;

    /** Id of the session the player wishes to join */
    public int         sessionId;

    /**
     * The team identity for this player. Set to UNKNOWN if the player was
     * rejected.
     */
    public int         teamId;

    /**
     * The answer of the session director to the request of the client.
     * It can be either {@link cluedo.info.CluedoInfo#ACCEPTED ACCEPTED},
     * {@link cluedo.info.CluedoInfo#REJECTED REJECTED},
     * {@link cluedo.info.CluedoInfo#EXPELLED EXPELLED}.
     * {@link cluedo.info.CluedoInfo#INVITED INVITED}.
     */
    public int         state;

    public PlayerNotifyInfo(int playerId, int sessionId, int teamId, int state)
    {
	this.playerId= playerId;
	this.sessionId= sessionId;
	this.teamId= teamId;
	this.state= state;
    }
}
