
package cluedo.info;


/**
 * Sent by a client in order to request that the state of a session
 * changes from OPEN to CLOSED.  When a session is closed no other clients
 * can join this session and the game begins.  The server answers the
 * request with a SessionClosedInfo which is broadcasted to all clients.
 *
 * @author  PI4
 * @version $Id: SessionCloseRequestInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: SessionCloseRequestInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     SessionInfo
 * @see     SessionClosedInfo
 */
public class SessionCloseRequestInfo extends CluedoInfo
{
    public int sessionId;

    public SessionCloseRequestInfo(int sessionId)
    { this.sessionId= sessionId; }
}

