
package cluedo.info;


/**
 * SuspicionAnsweredInfos are broadcasted by the server to all team mates.
 *
 * A SuspicionRequestInfo contains the suspicion of a player.  The Server
 * broadcasts the request to all team mates.  If a team mate can
 * invalidate the suspicion he will send a SuspicionCardInfo.  This will
 * be forwarded to the requesting client by the server.  All other team
 * mates receive a SuspicionAnsweredInfo.
 *
 * A SuspicionCardInfo contains the answer of a player to a Suspicion of
 * another player.  It contains a single card.
 *
 * @author  PI4
 * @version $Id: SuspicionAnsweredInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: SuspicionAnsweredInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     SuspicionCardInfo
 * @see     SuspicionRequestInfo
 */
public class SuspicionAnsweredInfo extends CluedoInfo
{
    public int answererId;

    public SuspicionAnsweredInfo(int answererId)
    {
	this.answererId= answererId;
    }
}

