
package cluedo.info;


/**
 * A SuspicionRequestInfo contains the suspicion of a player.  The Server
 * translates the object into a SuspicionInfo which is broadcasted to all
 * team mates.  If a team mate can invalidate the suspicion he will send
 * a SuspicionCardInfo.  This will be forwarded to the requesting client
 * by the server.  All other team mates receive a SuspicionAnsweredInfo.
 *
 * A SuspicionCardInfo contains the answer of a player to a Suspicion of
 * another player.  It contains a single card.
 *
 * @author  PI4
 * @version $Id: SuspicionInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: SuspicionInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     SuspicionCardInfo
 * @see     SuspicionAnsweredInfo
 */
public class SuspicionInfo extends WhoWhereHowInfo
{
    public int suspectorId;
    public int answererId;

    public SuspicionInfo(int suspectorId, SuspicionRequestInfo s)
    {
	super(s.who, s.where, s.how);
	this.suspectorId= suspectorId;
	this.answererId= UNKNOWN;
    }

    public SuspicionInfo(int suspectorId, int answererId,
			 CardInfo who, CardInfo where, CardInfo how)
    {
	super(who, where, how);
	this.suspectorId= suspectorId;
	this.answererId= answererId;
    }
}
