
package cluedo.info;


/**
 * Instances of this class transport information of suspicions,
 * accusations and crime facts.  When a player raises a suspicion he makes
 * a guess about who carried out the crime, where did the crime take place
 * and which item was used for the murder.  The same information is needed
 * in order to transport an accusation or the crime fact.
 *
 * The three guesses are contained within a WhoWhereHowInfo in terms of
 * three {@link cluedo.info.CardInfo CardInfo} objects.
 *
 * @author  PI4
 * @version $Id: WhoWhereHowInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: WhoWhereHowInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     CardInfo
 * @see     SuspicionAnsweredInfo
 */
public class WhoWhereHowInfo extends CluedoInfo
{
    /** Who carried out the crime */
    public CardInfo who;

    /** Where did the crime take place */
    public CardInfo where;

    /** How was the crime carried out. Which item was used for the murder? */
    public CardInfo how;

    public WhoWhereHowInfo(CardInfo who, CardInfo where, CardInfo how)
    {
	this.who= who;
	this.where= where;
	this.how= how;
    }
}
