
package cluedo.info;

/**
 * Instances of WinnerInfo are used to inform the team mates of a session
 * about the winner or looser of a game.  When a player has brought in an
 * accusation the server will inform the team mates whether it was right
 * (the player won the game) or wrong (the player has lost the game).
 *
 * @author  PI4
 * @version $Id: WinnerInfo.java,v 1.1.1.1 2001/05/23 11:23:24 gk Exp $d: WinnerInfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     AccusationRequestInfo
 * @see     AccusationInfo
 */
public class WinnerInfo extends CluedoInfo
{
    /** Which player has lost or won? */
    public int playerId;

    /** In which session does he play? */
    public int sessionId;

    /**
     * Did he win or loose?  This attribute can have either of the two
     * values {@link cluedo.info.CluedoInfo#WINNER WINNER} or
     * {@link cluedo.info.CluedoInfo#LOOSER LOOSER}.
     */
    public int state;

    public WinnerInfo(int playerId, int sessionId, int state)
    {
	this.playerId= playerId;
	this.sessionId= sessionId;
	this.state= state;
    }
}
